#!/bin/sh

step="960 4800 9600 43200 86400 172800"

for raw_time in $step
do
   time=`printf %08d $raw_time`
#   gpview result_temp.nc@temp,lon=180,time="$time" --wsn 2
#   mv dcl.ps ../figdir2/temp_t="$time"_02_layer.ps

   for varname in DTempDt DSigmaAddDtN DTempDtByRPi TempEddAdv ThreeTermSum G_DSigmaAdvDtN G_DTempDtByRPi xyz_DTempEdd
   do
      gpview result.nc@"$varname",lon=180,lat=0,time="$time" --exch --wsn 2
      mv dcl.ps ../figdir2/"$varname"_t="$time"_02_layer.ps
   done
done
