#!/bin/sh

#==  ========================================================
#== 02  ===========================================================
sigma="0.26 0.81"
raw_time=0
for sig in $sigma ;do
    i=0
    while [ $i -lt 200 ] ; do
	raw_time=`expr 86400 '*' $i`
	time=`printf %08d $raw_time`
	gpview 02layer_result/result_temp.nc@temp,sigma="$sig",time="$time" --slevels 260,265,270,275,280,285,290,295,300,305,310,315,320,325,330 --cint 3 --wsn 2
	mv dcl.ps movie/layer-02_sigma-"$sig"_time-"$time".ps
	i=`expr $i + 1`
    done
done

#== 03  ===========================================================
sigma="0.15 0.49 0.81"
raw_time=0
for sig in $sigma ; do
    i=0
    while [ $i -lt 200 ] ; do
        raw_time=`expr 86400 '*' $i`
        time=`printf %08d $raw_time`
        gpview 03layer_result/result_temp.nc@temp,sigma="$sig",time="$time" --slevels 260,265,270,275,280,285,290,295,300,305,310,315,320,325,330 --cint 3 --wsn 2
        mv dcl.ps movie/layer-03_sigma-"$sig"_time-"$time".ps
        i=`expr $i + 1`
    done
done

#== 04  ===========================================================
sigma="0.10 0.37 0.62 0.87"
raw_time=0
for sig in $sigma ; do
    i=0
    while [ $i -lt 200 ] ; do
        raw_time=`expr 86400 '*' $i`
        time=`printf %08d $raw_time`
        gpview 04layer_result/result_temp.nc@temp,sigma="$sig",time="$time" --slevels 260,265,270,275,280,285,290,295,300,305,310,315,320,325,330 --cint 3 --wsn 2
        mv dcl.ps movie/layer-04_sigma-"$sig"_time-"$time".ps
        i=`expr $i + 1`
    done
done

#== С ======================================================
cd movie
bash convert.sh

##== ư ========================================================
##== 02  ===========================================================
#sig="0.26 0.81"
#layer="02"
#for sigma in $sig ;do
#
#done
#
##== 03  ===========================================================
#sig="0.15 0.49 0.81"
#layer="03"
#for sigma in $sig ;do
#
#done
#
##== 04  ===========================================================
#sig="0.10 0.37 0.62 0.87"
#layer="04"
#for sigma in $sig ;do
#
#done
#
#cd ..
