#!/bin/sh

step="960 4800 9600 43200 86400 172800"

for raw_time in $step
do
   time=`printf %08d $raw_time`
   gpview result_temp.nc@temp,lon=180,time="$time" --wsn 2
   mv dcl.ps ../figdir/temp_t="$time".ps

   for varname in DTempDt DSigmaAddDtN DTempDtByRPi Q S TempEddAdv ThreeTermSum G_DSigmaAdvDtN G_DTempDtByRPi
   do
      gpview result.nc@"$varname",lon=180,time="$time" --wsn 2
      mv dcl.ps ../figdir/"$varname"_t="$time".ps
   done
done
