#!/bin/sh
step="960 4800 9600 43200 86400 172800 345600"

for raw_time in $step
do
   time=`printf %08d $raw_time`
   gpview result_temp.nc@temp,lon=180,time="$time" --wsn 2
   mv dcl.ps ../figdir/temp_t="$time".ps
done

for raw_time in $step
do
   time=`printf %08d $raw_time`
   gpview result.nc@DSigmaAddDtN,lon=180,time="$time" --wsn 2
   mv dcl.ps ../figdir/DSigmaAddDtN_t="$time".ps
done
do
   time=`printf %08d $raw_time`
   gpview result.nc@DTempDtByRPi,lon=180,time="$time" --wsn 2
   mv dcl.ps ../figdir/DTempDtByRPi_t="$time".ps
done
do
   time=`printf %08d $raw_time`
   gpview result.nc@Q,lon=180,time="$time" --wsn 2
   mv dcl.ps ../figdir/Q_t="$time".ps
done
do
   time=`printf %08d $raw_time`
   gpview result.nc@S,lon=180,time="$time" --wsn 2
   mv dcl.ps ../figdir/S_t="$time".ps
done

