#!/bin/sh
sig="0.97 0.92 0.87 0.82 0.77 0.72 0.67 0.62 0.57 0.52 0.47 0.42 0.37 0.32 0.27 0.22 0.17 0.12 0.07 0.02"
step="100"
delta="17680"

for sigma in $sig ;do
    echo '#'sigma'='"$sigma"
    echo \#Time,  DTempDt, TempEddAdv, DSigmaAddDtN, DTempDtByRPi, xyz_DTempEdd
    count="0"
    until [ $count -eq $step ];do
        time=`expr $count \* $delta`
        value1=`gpprint result.nc@DTempDt,lon=180,lat=0,time="$time",sigma="$sigma"`
        value2=`gpprint result.nc@TempEddAdv,lon=180,lat=0,time="$time",sigma="$sigma"`
        value3=`gpprint result.nc@DSigmaAddDtN,lon=180,lat=0,time="$time",sigma="$sigma"`
        value4=`gpprint result.nc@DTempDtByRPi,lon=180,lat=0,time="$time",sigma="$sigma"`
        value5=`gpprint result.nc@xyz_DTempEdd,lon=180,lat=0,time="$time",sigma="$sigma"`
        echo "$time", $value1 $value2 $value3 $value4 $value5
        count=`expr $count + 1`
    done
    echo 
    echo 
done